All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies
Class MapRectangularSelectModeStrategy

    com.sas.actionprovider.strategies.MapRectangularSelectModeStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

    public class MapRectangularSelectModeStrategy

Field Summary

Fields inherited from class com.sas.actionprovider.strategies.BaseMapStrategy
`activeImage, disabledImage, image, RB_KEY, rolloverImage, SELECTED_IMAGE, title`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`MapRectangularSelectModeStrategy()` Default constructor.
`MapRectangularSelectModeStrategy(boolean swing, SelectorActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary

Methods inherited from class com.sas.actionprovider.strategies.BaseMapStrategy
`addDynamicValueInfo, getActiveImage, getDescription, getDisabledImageName, getImageName, getName, getRolloverImage, getTitle, initializeActionAttributes, setActiveImage, setRolloverImage, setTitle`

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getActionStatus, getCustomAttributeValue, getDynamicValue, getUtilObject, initialize, initializeAction, isSwing, setActionAttributes, setLocaleDependentDefaultAttributes, setSwing, setUtilObject`

Constructor Detail

### MapRectangularSelectModeStrategy

    public MapRectangularSelectModeStrategy()

  Default constructor. Calls the other constructor for specifying strategy type.

### MapRectangularSelectModeStrategy

    public MapRectangularSelectModeStrategy(boolean swing,
                                            SelectorActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.